<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsSdiData Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="class_xs_sdi_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsSdiData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains StrapDown Integration (SDI) data.  
 <a href="struct_xs_sdi_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8ef3b57d8d38c0606d390b1b9fbfdc03"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ef3b57d8d38c0606d390b1b9fbfdc03"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sdi_data.html#a8ef3b57d8d38c0606d390b1b9fbfdc03">XsSdiData</a> ()</td></tr>
<tr class="memdesc:a8ef3b57d8d38c0606d390b1b9fbfdc03"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct an empty object. <br /></td></tr>
<tr class="separator:a8ef3b57d8d38c0606d390b1b9fbfdc03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90cce6d092f4558aa506ecbf92102327"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90cce6d092f4558aa506ecbf92102327"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sdi_data.html#a90cce6d092f4558aa506ecbf92102327">XsSdiData</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;dq, const <a class="el" href="struct_xs_vector.html">XsVector</a> &amp;dv)</td></tr>
<tr class="memdesc:a90cce6d092f4558aa506ecbf92102327"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct an initialized object. <br /></td></tr>
<tr class="separator:a90cce6d092f4558aa506ecbf92102327"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43c766776ac854961183519c8b18b351"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43c766776ac854961183519c8b18b351"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sdi_data.html#a43c766776ac854961183519c8b18b351">XsSdiData</a> (const <a class="el" href="struct_xs_sdi_data.html">XsSdiData</a> &amp;other)</td></tr>
<tr class="memdesc:a43c766776ac854961183519c8b18b351"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor. <br /></td></tr>
<tr class="separator:a43c766776ac854961183519c8b18b351"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39ddf434a10788b7eaf5dd93f9a43322"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a39ddf434a10788b7eaf5dd93f9a43322"></a>
const <a class="el" href="struct_xs_sdi_data.html">XsSdiData</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sdi_data.html#a39ddf434a10788b7eaf5dd93f9a43322">operator=</a> (const <a class="el" href="struct_xs_sdi_data.html">XsSdiData</a> &amp;other)</td></tr>
<tr class="memdesc:a39ddf434a10788b7eaf5dd93f9a43322"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assignment operator. <br /></td></tr>
<tr class="separator:a39ddf434a10788b7eaf5dd93f9a43322"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d3a84537c9d5053f3db48c93aa9641c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d3a84537c9d5053f3db48c93aa9641c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sdi_data.html#a5d3a84537c9d5053f3db48c93aa9641c">zero</a> ()</td></tr>
<tr class="memdesc:a5d3a84537c9d5053f3db48c93aa9641c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the object so it contains unity data. <br /></td></tr>
<tr class="separator:a5d3a84537c9d5053f3db48c93aa9641c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0221563954c921f4c1a89299b2ff907"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad0221563954c921f4c1a89299b2ff907"></a>
const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sdi_data.html#ad0221563954c921f4c1a89299b2ff907">orientationIncrement</a> () const </td></tr>
<tr class="memdesc:ad0221563954c921f4c1a89299b2ff907"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the contained orientation increment. <br /></td></tr>
<tr class="separator:ad0221563954c921f4c1a89299b2ff907"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d69b549a2da8c7e2c41f011c994773b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d69b549a2da8c7e2c41f011c994773b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sdi_data.html#a1d69b549a2da8c7e2c41f011c994773b">setOrientationIncrement</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;dq)</td></tr>
<tr class="memdesc:a1d69b549a2da8c7e2c41f011c994773b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Update the contained orientation increment. <br /></td></tr>
<tr class="separator:a1d69b549a2da8c7e2c41f011c994773b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee9f5ccc27ddddde9fb4172b5bbecd42"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee9f5ccc27ddddde9fb4172b5bbecd42"></a>
const <a class="el" href="struct_xs_vector3.html">XsVector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sdi_data.html#aee9f5ccc27ddddde9fb4172b5bbecd42">velocityIncrement</a> () const </td></tr>
<tr class="memdesc:aee9f5ccc27ddddde9fb4172b5bbecd42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the contained velocity increment. <br /></td></tr>
<tr class="separator:aee9f5ccc27ddddde9fb4172b5bbecd42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fb3ff22b4405dfca34d3c4295d4d955"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3fb3ff22b4405dfca34d3c4295d4d955"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sdi_data.html#a3fb3ff22b4405dfca34d3c4295d4d955">setVelocityIncrement</a> (const <a class="el" href="struct_xs_vector.html">XsVector</a> &amp;dv)</td></tr>
<tr class="memdesc:a3fb3ff22b4405dfca34d3c4295d4d955"><td class="mdescLeft">&#160;</td><td class="mdescRight">Update the contained velocity increment. <br /></td></tr>
<tr class="separator:a3fb3ff22b4405dfca34d3c4295d4d955"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee2c8ccf7fdffe9656ccac82dfbcdbcf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee2c8ccf7fdffe9656ccac82dfbcdbcf"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sdi_data.html#aee2c8ccf7fdffe9656ccac82dfbcdbcf">operator==</a> (const <a class="el" href="struct_xs_sdi_data.html">XsSdiData</a> &amp;other) const </td></tr>
<tr class="memdesc:aee2c8ccf7fdffe9656ccac82dfbcdbcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if all fields of this and <em>other</em> are exactly identical. <br /></td></tr>
<tr class="separator:aee2c8ccf7fdffe9656ccac82dfbcdbcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:gade542196fc0232e0801ff67f5ae19abc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gade542196fc0232e0801ff67f5ae19abc">XsSdiData_construct</a> (<a class="el" href="struct_xs_sdi_data.html">XsSdiData</a> *, const XsReal *<a class="el" href="struct_xs_sdi_data.html#ad0221563954c921f4c1a89299b2ff907">orientationIncrement</a>, const XsReal *<a class="el" href="struct_xs_sdi_data.html#aee9f5ccc27ddddde9fb4172b5bbecd42">velocityIncrement</a>)</td></tr>
<tr class="memdesc:gade542196fc0232e0801ff67f5ae19abc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize an XsSdiData object with the optional arguments.  <a href="group__cinterface.html#gade542196fc0232e0801ff67f5ae19abc">More...</a><br /></td></tr>
<tr class="separator:gade542196fc0232e0801ff67f5ae19abc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0fb5973e5a32cfdb3d6490ea651554c7"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga0fb5973e5a32cfdb3d6490ea651554c7">XsSdiData_destruct</a> (<a class="el" href="struct_xs_sdi_data.html">XsSdiData</a> *)</td></tr>
<tr class="memdesc:ga0fb5973e5a32cfdb3d6490ea651554c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destruct the object, makes the fields invalid. <br /></td></tr>
<tr class="separator:ga0fb5973e5a32cfdb3d6490ea651554c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains StrapDown Integration (SDI) data. </p>
<p>SDI data consists of a rotation and an acceleration, expressed as an orientation increment (also known as deltaQ) and a velocity increment (also known as deltaV). </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
